import sys
sys.path.append('..\\')
from keras.models import load_model

import numpy as np
import pprint
from ExternalStudents.plot import plot_data
from ExternalStudents.file_utils import get_rec, make_consecutive_batch, make_pred_array
from ExternalStudents.keras_utils.data_io import MatDataGenerator


# model = load_model(r'C:\temp\EirikLid\GodeModeller\hypermodel_7_20_gen.h5')
model = load_model(r'C:\temp\EirikLid\hypermodel_6_20_o4_gen.h5')
# model = load_model(r'C:\temp\EirikLid\GodeModeller\us_MLP_280_braMenTrengerStateMachine.h5')
# model = load_model(r'C:\temp\EirikLid\GodeModeller\us_seq_MLP_7_20.h5')
batch_size = 32
model.summary()
# pprint.pprint(model.get_config())
# weights =model.get_weights()

files = get_rec.get_recordings(r'C:\temp\EirikLid\plot_test')
# files = get_rec.get_recordings(r'C:\temp\EirikLid\us_data_temp')

window = 20
stride = 1
from keras.utils import plot_model

# plot_model(model, to_file='IMU_model.png', show_shapes=True)

for file in files:

    batch = make_consecutive_batch.make(file['X'],window_size=window,num_features=6,stride=stride)
    prediction = model.predict_on_batch(batch)
    offset = file['y'][::stride].shape[0]- len(prediction)
    pred = make_pred_array.pred_array(prediction,offset)
    plot_data.plot_data(file, pred,stride=stride, us=False, fn_convert=False)

    # sm_pred = make_pred_array.pred_array_state_switch(prediction,offset)
    # plot_data.compare_state_machine(file, pred,sm_pred, stride=stride, us=True, fn_convert=False)

    # batch = make_consecutive_batch.make(file['X'], window_size=80,stride=4)
    # # batch = make_consecutive_batch.make(file['X'])
    # batch_prediction_size = (len(batch) // batch_size) * batch_size
    # batch_void = len(batch) - batch_prediction_size
    # prediction = model.predict(batch[:batch_prediction_size], batch_size= batch_size )
    # pred = make_pred_array.pred_array(prediction, 0, batch_void)
    # plot_data.plot_data(file, pred,stride=4)





