import numpy as np
from sklearn.preprocessing import minmax_scale

from ExternalStudents.file_utils import get_rec, make_consecutive_batch

# X_t = np.array([[1, 10], [2, 9], [3, 8],
#               [4, 7], [5, 6], [6, 5]])
# x = X_t.T

files = get_rec.get_recordings(mat_folder=r'C:\temp\EirikLid\us_data')

X_list = []
for file in files:
    X_list.append(file['X'])
x = np.concatenate(X_list, axis=1)
# x_norm = minmax_scale(x, axis=1)

x_max = np.amax(x,axis=1)
# [77.96986389 42.02061844 78.47760773  8.19850349 12.31527233 11.13646698 1.        ]

x_min = np.amin(x, axis=1)
# [-78.48000336 -31.51127243 -78.47760773 -11.41429329 -16.04739189 -8.51819515   0.        ]

print(x_max)
print(x_min)
x_diff = x_max - x_min
# [156.44986725  73.53189087 156.95521545  19.61279678  28.36266422 19.65466213   1.        ]

x_new = ( (x.T - x_min)/ x_diff).T
print(x_new)
print("Done!")