import sys
sys.path.append('..\\')

from sklearn.metrics import confusion_matrix
from ExternalStudents.file_utils import get_rec
import numpy as np


# files = get_rec.get_recordings(r'C:\temp\EirikLid\us_data_elliptic')
#
# conf = [[0, 0], [0, 0]]
# for file in files:
#     # a = file['y']
#     # a[a>0] = 1
#     cm = confusion_matrix(np.where(file['y'] == 1, 1, 0), file['X'][6], labels= [0,1])
#
#     # cm = confusion_matrix(file['y'], file['X'][6], labels= [0,1])
#     conf += cm
#
# # np.save("confusion_matrix",conf)
#

conf =  np.load("confusion_matrix.npy")
tn, fp, fn, tp = conf.ravel()
print(tn, fp, fn, tp)

err = (fp + fn)/(fp + fn + tp + tn)
acc = 1 - err

fp_rate = fp/(fp + tn)
tp_rate = tp/(fn + tp)

pre = tp/(tp+fp)
rec = tp_rate

f1 = 2*(pre*rec)/(pre + rec)

print("Error:", err)
print("Accuracy:", acc)
print("False positive rate:", fp_rate)
print("True positive rate:", tp_rate)
print("Precision:",pre)
print("Recall:",rec)
print("F1:",f1)

norm_conf = conf/conf.sum()
perc_conf = 100* norm_conf
print(norm_conf.ravel())